package org.jboss.seam.example.contactlist.session;

import org.jboss.seam.annotations.Name;
import org.jboss.seam.annotations.Begin;
import org.jboss.seam.annotations.web.RequestParameter;
import org.jboss.seam.framework.EntityHome;

import org.jboss.seam.example.contactlist.newEntity;

@Name("newEntityHome")
public class newEntityHome extends EntityHome<newEntity>
{

    @RequestParameter 
    Long newEntityId;
    
    @Override
    public Object getId() 
    { 
        if (newEntityId==null)
        {
            return super.getId();
        }
        else
        {
            return newEntityId;
        }
    }
    
    @Override @Begin
    public void create() {
        super.create();
    }
 	
}
